# Atualizar Notificação

## Atualizando uma Notificação

## Atualizar Notificação

<mark style="color:orange;">`PUT`</mark> `https://registroeletronico-homolog.cdxti.com.br/api/notifications/{id}`

Atualiza uma Notificação com Tipos de Notificação informados

#### Headers

| Name                                            | Type         | Description                              |
| ----------------------------------------------- | ------------ | ---------------------------------------- |
| Authorization<mark style="color:red;">\*</mark> | Bearer Token | Token gerado pelo método de autenticação |

#### Request Body

| Name                                                | Type   | Description                                                  |
| --------------------------------------------------- | ------ | ------------------------------------------------------------ |
| organization<mark style="color:red;">\*</mark>      | Object | Organização autorizada a realizar essa operação              |
| notificationTypes<mark style="color:red;">\*</mark> | Array  | Array contendo os tipos de notificação que serão habilitados |

{% tabs %}
{% tab title="200: OK OK" %}

```javascript
{
    "id": 204402,
    "organization": {
        "id": 1051,
        "identifier": "00000000000000",
        "name": "Organization XPTO"
    },
    "notificationTypes": [
        {
            "id": 203752
        },
        {
            "id": 203751
        },
        {
            "id": 203753
        }
    ]
}
```

{% endtab %}

{% tab title="401 Permission denied" %}

```json
{
    "type": "https://registroeletronico.certdox.com.br/problem/problem-with-message",
    "title": "Unauthorized",
    "status": 401,
    "detail": "Full authentication is required to access this resource",
    "path": "/api/notifications",
    "message": "error.http.401"
}
```

{% endtab %}
{% endtabs %}

#### Organization - Schema

```json
{
    "identifier": "00000000000000" // CNPJ | String | Required | mix = 14, max = 14
}
```

#### Notification Type - Schema

```json
[
    {
        "id": 203751 // Id do Tipo de Notificação | Long | Required
    }
]
```

#### Exemplo de Payload Completo

```json
{
    "organization":{
         "identifier":"00000000000000"
    },
    "notificationTypes": [
        {
            "id": 203751
        },
        {
            "id": 203752
        },
        {
            "id": 203753
        }
    ]
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.certdox.com.br/gateway-de-registros/reference/notificacoes/atualizar-notificacao.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
